Bug 613474 - [abrt] crash in calibre-0.6.55-1.fc13: odf2xhtml.py:765:s_style_handle_properties:KeyError: None
Summary: [abrt] crash in calibre-0.6.55-1.fc13: odf2xhtml.py:765:s_style_handle_proper...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:82ee0e80
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-11 22:28 UTC by Maksym Sh
Modified: 2011-06-29 13:41 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-29 13:41:03 UTC


Attachments (Terms of Use)
File: backtrace (2.28 KB, text/plain)
2010-07-11 22:28 UTC, Maksym Sh
no flags Details

Description Maksym Sh 2010-07-11 22:28:52 UTC
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: python /usr/bin/calibre-parallel
component: calibre
executable: /usr/bin/calibre-parallel
kernel: 2.6.33.6-147.fc13.i686
package: calibre-0.6.55-1.fc13
reason: odf2xhtml.py:765:s_style_handle_properties:KeyError: None
release: Fedora release 13 (Goddard)

Comment 1 Maksym Sh 2010-07-11 22:28:55 UTC
Created attachment 431032 [details]
File: backtrace

Comment 2 Frank Murphy 2010-07-12 06:55:45 UTC
Can you try the scratch build version from here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2311683

And see if you can then reproduce the bug?

Comment 3 igor.redhat@gmail.com 2010-10-28 07:42:12 UTC
Package: calibre-0.7.23-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
This happened when trying to convert an .odt doc to ePub

Comment 4 Kevin Fenzi 2011-01-09 19:14:31 UTC
Can you guys reproduce this? 

If so, can you also try with my calibre repo that has the latest upstream version: 

http://repos.fedorapeople.org/kevin/calibre/

Comment 5 Bug Zapper 2011-06-01 14:11:48 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2011-06-29 13:41:03 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.